import { http } from "/@/utils/http";
import { loadEnv } from "@build/index";
const { VITE_PROXY_DOMAIN_REAL, VITE_PROXY_USER_REAL } = loadEnv();
const userAPi = VITE_PROXY_DOMAIN_REAL;
const yewuApi = VITE_PROXY_DOMAIN_REAL + "/admin/";

export const httpList = (data: object): any => {
  return http.request("post", `${yewuApi}supplierCatList`, { data });
};

export const httpCatList = (data: object): any => {
  return http.request("post", `http://project.test241.wanyuhengtong.com/admin/catplist`, { data });
};

export const httpAdd = (data: object): any => {
  return http.request("post", `${yewuApi}supplierCatAdd`, { data });
};

export const httpStatus = (data: object): any => {
  return http.request("post", `${yewuApi}supplierCatStatus`, { data });
};
